<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:epub="http://www.idpf.org/2007/ops" xml:lang="es" lang="es">
    <head>
        <meta charset="UTF-8" />
        <title>10. Flujo para la gestión de traducciones</title>
        <link href="../css/styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1 id="flujo-para-la-gestion-de-traducciones">10. Flujo para la gestión de traducciones</h1>
        <ul>
            <li>
                <p>Horas: 10</p>
            </li>
            <li>
                <p>Tipo: teórico-práctico</p>
            </li>
            <li>
                <p>Relaciones: 2e, 11r, 18n, 19r, 22e</p>
            </li>
        </ul>
        <h2 id="descripcion_10">Descripción</h2>
        <p>La traducción de textos puede ser un proceso tortuoso y de creciente complejidad según la cantidad de idiomas a traducir. Sin embargo, a través del uso de <code>gettext</code>, la biblioteca <span class="smallcap">GNU</span> de internacionalización, es posible generar archivos que faciliten la traducción. En este módulo se explicará el proceso técnico para pasar de archivos de procesamiento de texto a los formatos <span class="smallcap">PO</span> necesarios para la gestión y la coordinación de proyectos de traducción. También se esclarecerán las ventajas de este flujo de trabajo como son la traducción simultánea, la posibilidad de trabajo en línea a través de Weblate y la capacidad de incorporar las traducciones a diversos formatos de salida como son <span class="smallcap">HTML</span>, <span class="smallcap">MD</span> o documentos de texto procesado.</p>
        <h2 id="objetivos_10">Objetivos</h2>
        <ul>
            <li>
                <p>Comprender la importancia de <code>gettext</code> y los archivos <span class="smallcap">PO</span> para la gestión de traducciones.</p>
            </li>
            <li>
                <p>Aprender la dinámica de trabajo de <span class="smallcap">MD</span> a <span class="smallcap">PO</span> para concluir en archivos <span class="smallcap">MD</span>, <span class="smallcap">HTML</span>, <span class="smallcap">TEX</span> o <span class="smallcap">PDF</span>.</p>
            </li>
            <li>
                <p>Instalar Poedit.</p>
            </li>
            <li>
                <p>Usar la plataforma Weblate.</p>
            </li>
            <li>
                <p>Realizar ejercicios de traducción para poner en práctica la metodología.</p>
            </li>
        </ul>
        <h2 id="temas_10">Temas</h2>
        <ol>
            <li>
                <p>¿Qué es <code>gettext</code> y los archivos <span class="smallcap">PO</span>?</p>
            </li>
            <li>
                <p>Instalación de Poedit.</p>
            </li>
            <li>
                <p>Suscripción a la plataforma Weblate.</p>
            </li>
            <li>
                <p>Estructuración del texto a Markdown.</p>
            </li>
            <li>
                <p>Conversión de <span class="smallcap">MD</span> a archivos <span class="smallcap">PO</span>.</p>
            </li>
            <li>
                <p>Traducción a partir de archivos <span class="smallcap">PO</span> usando Poedit o Weblate.</p>
            </li>
            <li>
                <p>Conversión de archivos <span class="smallcap">PO</span> a <span class="smallcap">MD</span>, <span class="smallcap">HTML</span>, <span class="smallcap">TEX</span> o <span class="smallcap">PDF</span>.</p>
            </li>
        </ol>
        <h2 id="conocimientos-previos_10">Conocimientos previos</h2>
        <ul>
            <li>
                <p>Uso de la terminal Bash.</p>
            </li>
        </ul>
        <h2 id="materiales-necesarios_10">Materiales necesarios</h2>
        <ul>
            <li>
                <p>Computadoras para realizar los ejercicios.</p>
            </li>
            <li>
                <p>Conexión a internet.</p>
            </li>
            <li>
                <p>Cañón.</p>
            </li>
        </ul>
    </body>
</html>
